public class Vector implements Invertible<Vector> {
    private double x;
    private double y;
    public Vector(double x, double y) {
        this.x = x;
        this.y = y;
    }
    @Override
    public void invert() {
        double aux = x;
        x = y;
        y = aux;
    }
    @Override
    public String toString() {
        return "(" + x + ", " + y + ')';
    }
}
